Skip to content

Update extension

Request to change the value of an extension:

PUT /api/v2/extensions/<extension-id>.json

For example:

{
    "extension": {
        "extension": "12005040979"
    }
}

The assignment to a user is kept. When the extension is assigned to a user, the recorders reload their filters after the change.

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The extension has been successfully updated. The response body contains the extension object after the update
400 Bad Request

The request cannot be completed because the supplied JSON object has invalid data.

The response contains a detailed description of the error, like:

{"error": "InvalidRecord", "explanation": "Record Validation errors", "details": {"extension": "Such extension already exists"}}
403 Forbidden The request cannot be completed because API user has no permission to edit extensions
404 Not Found Extension with such ID does not exist, or it is outside the access scope of the API user